Bug 1031707 - [VDSM] vdsm 3.3.0 should not require vdsm-gluster rpm
[VDSM] vdsm 3.3.0 should not require vdsm-gluster rpm
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Yaniv Bronhaim
Jiri Belka
infra
:
: 1108343 (view as bug list)
Depends On:
Blocks: 3.3snap3
  Show dependency treegraph
 
Reported: 2013-11-18 10:16 EST by Eyal Edri
Modified: 2016-02-10 14:24 EST (History)
13 users (show)

See Also:
Fixed In Version: is25
Doc Type: Release Note
Doc Text:
Previously VDSM shipped Red Hat Storage (Gluster) packages as part of its code. From Red Hat Enterprise Virtualization 3.3 onwards, Gluster packages are delivered separately under Red Hat Enterprise Linux channels.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 11:21:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21477 None None None Never
oVirt gerrit 21577 None None None Never

  None (edit)
Description Eyal Edri 2013-11-18 10:16:43 EST
Description of problem:
vdsm currently requires vdsm-gluster package.
vdsm-gluster should come from gluster channel and not rhev.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Yaniv Bronhaim 2013-11-20 02:27:28 EST
Its not as we thought. We need to cover fallback for all imports of gluster package in the code. The patch was currently reverted. Will post for fix asap
Comment 3 Yaniv Bronhaim 2013-11-26 12:38:59 EST
Currently (after merge of the attached patch) RHEVM-3.3 does not require or produce gluster packages. Although still Vdsm depends on qemu-kvm-rhev, that does require gluster pacakges:

Installing:
qemu-kvm-rhev   x86_64    2:0.12.1.2-2.414.el6        latest_rhel_rhev
Installing for dependencies:
glusterfs-api   x86_64    3.4.0.36rhs-1.el6           rhel-x86_64-server-6
glusterfs-libs  x86_64    3.4.0.36rhs-1.el6           rhel-x86_64-server-6
...


Who can assist with that?
Comment 4 Dan Kenigsberg 2013-11-26 13:47:02 EST
These funny-named packages are shipped in rhel-6.5, so it's fine.

On Mon, Nov 25, 2013 at 11:24:06PM +0530, Vijay Bellur wrote:
> RPMs related to the client side are part of the main RHEL channel.
> This has been done to support the qemu - libgfapi integration.
Comment 6 Dan Kenigsberg 2013-11-26 17:34:46 EST
Yes. https://errata.devel.redhat.com/advisory/15359
We should drop them from Bob.
Comment 7 Jiri Belka 2013-11-29 05:34:28 EST
ok, is25. no vdsm-gluster rpm installed on hosts.
Comment 8 Dan Kenigsberg 2013-12-02 04:44:52 EST
RHEV-3.2 has not shipped vdsm-gluster. This problem has popped up in an early RHEV-3.3 beta release, and has since been fixed.

I see no reason to trouble customers with this issue.
Comment 9 errata-xmlrpc 2014-01-21 11:21:54 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0040.html
Comment 10 Allon Mureinik 2014-06-12 08:31:24 EDT
*** Bug 1108343 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.